import type { PageLoad } from './$types';

const errorMessages = {
	noAccess:
		'No dashboard access. If you think this is a mistake, please contact your server owner.',
	expiredLogin: 'Dashboard login expired. Please log in again.'
};

export const load: PageLoad = ({ url }) => {
	const error = String(url.searchParams.get('error') ?? '');

	if (error) {
		return {
			error: errorMessages[error as keyof typeof errorMessages] || 'Unexpected error'
		};
	}
};
