import { redirect } from '@sveltejs/kit';
import type { RequestHandler } from './$types';

export const GET: RequestHandler = async ({ url, cookies }) => {
	const apiKey = String(url.searchParams.get('apiKey') ?? '');
	const error = String(url.searchParams.get('error') ?? 'noAccess');

	if (apiKey) {
		cookies.set('apiKey', apiKey, {
			httpOnly: true,
			path: '/new',
			secure: true,
			sameSite: 'strict'
		});
		return redirect(302, '/new/dashboard');
	} else {
		return redirect(302, `/new/?error=${error}`);
	}
};
